On 03/05/2018 08:09 AM, Kevin Chaves wrote:
> Hello,
> 
>  
> 
> So I don’t have any specific question really, I’m trying to set up a
> generic x86 platform that uses intel and the intel GPU and I’m having a
> hard time figuring out how to get opengl + Qt to work with the base
> meta-intel layer. It’s hard to find any specifics without running into
> dozens of imx6 guides. I have a nuc that I plan to test this with, with
> an i5. I’m also using the rocko branch for all of my yocto layers.
> 
>  
> 
> I’m assuming I should use intel-corei7-64 but as far as opengl drivers
> I’m not sure how to get them to work with Qt. The few things I’ve tried
> I always end up with Qt’s autoconf step failing to find viable opengl
> driver.
> 
>  
> 
> | Note: -hostdatadir is not a subdirectory of -hostprefix.
> 
> |
> 
> | WARNING: Feature xinput2 is insignificant in this configuration,
> ignoring related command line option(s).
> 
> |
> 
> | WARNING: Feature xkb is insignificant in this configuration, ignoring
> related command line option(s).
> 
> |
> 
> | WARNING: Feature xkbcommon-system is insignificant in this
> configuration, ignoring related command line option(s).
> 
> |
> 
> | WARNING: No QPA platform plugin enabled! This will
> 
> | produce a Qt that cannot run GUI applications.
> 
> | The dependencies needed for xcb to build are listed in
> 
> | src/plugins/platforms/xcb/README
> 
> |
> 
> | ERROR: Feature 'opengl-desktop' was enabled, but the pre-condition
> '(config.win32 && !config.winrt && !features.opengles2 && (config.msvc
> || libs.opengl))
> 
> |                           || (!config.watchos && !config.win32 &&
> libs.opengl)' failed.
> 
> |
> 
> | ERROR: The OpenGL functionality tests failed!
> 
> | You might need to modify the include and library search paths by
> editing QMAKE_INCDIR_OPENGL[_ES2],
> 
> | QMAKE_LIBDIR_OPENGL[_ES2] and QMAKE_LIBS_OPENGL[_ES2] in the mkspec
> for your platform.
> 
> | WARNING: exit code 3 from a shell command.
> 
> | ERROR: Function failed: do_configure (log file is located at
> /home/dev/dev/yocto-project/build-x86/tmp/work/corei7-64-poky-linux/qtbase/5.11.0+gitAUTOINC+8a66924ca0-r0/temp/log.do_configure.58285)
> 
>  

Which layers are you using? I tried https://github.com/meta-qt5/meta-qt5
with poky and meta-intel and I don't see any error. However, the qtbase
version looks different.

Thanks,
Anuj
-- 
_______________________________________________
meta-intel mailing list
meta-intel@yoctoproject.org
https://lists.yoctoproject.org/listinfo/meta-intel

Reply via email to